libraw1394: version 2.0.4
Prev |  | Next

# raw1394_set_bus_reset_handler

## Name

raw1394_set_bus_reset_handler -- set bus reset handler

## Synopsis

``bus_reset_handler_t raw1394_set_bus_reset_handler` (raw1394handle_t handle, bus_reset_handler_t new_h);`

## Arguments

`handle`

  libraw1394 handle

`new_h`

  pointer to new handler

## Description

Sets the handler to be called on every bus reset to `new_h`. The default handler just calls `raw1394_update_generation`.

## Returns

the old handler or NULL on failure (sets errno)

Prev | Home | Next
raw1394_loop_iterate | Up | raw1394_get_generation